
"use strict";

/** The {@link module:client.FinoChatClient|FinoChatClient} class. */

module.exports.FinoChatClient = require("./client");
/** The {@link module:client.MOPClient|MOPClient} class. */
module.exports.MOPClient = require("./mop");
var log = require("./log");

/**
 * 创建 FinoChatClient. 与 {@link module:client~FinoChatClient} 类似
 * @param {(Object|string)} opts 这个客户机的配置选项。
 * @returns FinchatClient
 * 如果这是一个字符串，则默认为appKey。这些配置选项将直接传递给{@link module:client~FinoChatClient}.
 * <code>opts</code>.
 */
module.exports.createClient = function (opts) {
    log.debug("createClient");
    if (typeof opts === "string") {
        opts = {
            "appKey": opts
        };
    }
    return new module.exports.FinoChatClient(opts);
};

/**
 * 创建 MOPClient. 与 {@link module:client~MOPClient} 类似
 * @returns MOPClient
 */
module.exports.createMOPClient = function () {
    log.debug("createMOPClient");
    return new module.exports.MOPClient();
};
//# sourceMappingURL=finochat.js.map