
import resolve from '@rollup/plugin-node-resolve'
import commonjs from '@rollup/plugin-commonjs'
import babel from '@rollup/plugin-babel'
import { uglify } from 'rollup-plugin-uglify'
import serve from 'rollup-plugin-serve'
import livereload from 'rollup-plugin-livereload'

const plugins = [
  resolve(),
  commonjs(),
  babel({
    exclude: 'node_modules/**',
    presets: ['@babel/preset-env'],
  })
]

if (process.env.NODE_ENV === 'dev') {
  plugins.push([
    livereload(),
    // 本地服务器
    // localhost:8000/dist/js-sdk.js
    serve({
      port: 8081
    })
  ])
}

export default [{
  input: 'src/index.js',
  output: [{
    file: 'dist/js-sdk.js',
    format: 'umd',
    name: 'umd',
    sourcemap: true
  }, {
    file: 'dist/js-sdk.esm.js',
    format: 'esm',
    sourcemap: true,
  }],
  plugins
}, {
  input: 'src/index.js',
  output: [{
    file: 'dist/js-sdk.min.js',
    format: 'umd',
    name: 'umd'
  }, {
    file: 'dist/js-sdk.esm.min.js',
    format: 'esm',
    sourcemap: true,
  }],
  plugins: [...plugins, uglify()]
}]
